Bug 40569 - fdisk won't read flat file images greater than 2 GB
fdisk won't read flat file images greater than 2 GB
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-14 13:16 EDT by bcling
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 10:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bcling 2001-05-14 13:16:43 EDT
Description of problem:
fdisk won't handle large image files created with dd, returning a message
of "Unable to open <filename>" followed by the command prompt.

How reproducible:
Always

Steps to Reproduce:
1. dd if=/dev/hdb of=hdb.iso
2. fdisk hdb.iso
3. "Unable to open hdb.iso" is printed
	

Expected Results:  Should be able to handle these files (under 2GB is not a
problem).

Additional info:

Tested on 4GB and 8GB hard drive images.
Comment 1 bcling 2001-07-16 10:32:45 EDT
My (very limited) understanding is that _LARGEFILE_SOURCE and 
_LARGEFILE64_SOURCE need to be defined, but I haven't been able to get this to
work.
Comment 2 Elliot Lee 2001-07-18 14:47:25 EDT
I've got a patch for this in my package now.

Note You need to log in before you can comment on or make changes to this bug.